automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Test for DejaGnu support that runs DejaGnu, revision 2 [PATCH]


From: Richard Dawe
Subject: Test for DejaGnu support that runs DejaGnu, revision 2 [PATCH]
Date: Thu, 17 Apr 2003 14:18:34 +0100

Hello.

Here's revision 2 of the patch. Hopefully this fixes all the issues
Alexandre spotted (thanks!).

Bye, Rich =]

2003-04-17  Richard Dawe  <address@hidden>

        * tests/defs.in: Handle required=runtest, to detect runtest
        from DejaGnu.
        * tests/Makefile.am (TESTS): Add dejagnu3.test.
        * tests/dejagnu3.test: New test.

Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.478
diff -p -u -3 -r1.478 Makefile.am
--- tests/Makefile.am   6 Apr 2003 18:31:12 -0000       1.478
+++ tests/Makefile.am   17 Apr 2003 13:17:32 -0000
@@ -137,6 +137,7 @@ defun.test \
 defun2.test \
 dejagnu.test \
 dejagnu2.test \
+dejagnu3.test \
 depacl2.test \
 depcomp.test \
 depcomp2.test \
Index: tests/defs.in
===================================================================
RCS file: /cvs/automake/automake/tests/defs.in,v
retrieving revision 1.13
diff -p -u -3 -r1.13 defs.in
--- tests/defs.in       10 Apr 2003 23:15:46 -0000      1.13
+++ tests/defs.in       17 Apr 2003 13:17:33 -0000
@@ -133,6 +133,11 @@ then
        rm -rf $ro_dir_temp
        test $create_status = 0 && exit 77
        ;;
+      runtest)
+       # DejaGnu's runtest program.
+       echo "$me: running runtest --version"
+       (runtest --version) || exit 77
+       ;;
       tex)
         # No all versions of Tex support `--version', so we use
         # a configure check.
--- /dev/null   Tue May  5 21:32:27 1998
+++ tests/dejagnu3.test Thu Apr 17 14:08:53 2003
@@ -0,0 +1,63 @@
+#! /bin/sh
+# Copyright (C) 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check that the DejaGnu rules work for a simple program and test case.
+
+required=runtest
+. ./defs || exit 1
+
+set -e
+
+cat > hammer << 'END'
+#! /bin/sh
+echo "Everything looks like a nail to me!"
+END
+
+chmod +x hammer
+
+echo AC_OUTPUT >> configure.in
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = dejagnu
+
+DEJATOOL = hammer
+END
+
+mkdir testsuite
+mkdir testsuite/hammer.test
+
+cat > testsuite/hammer.test/hammer.exp << 'END'
+set test test
+expect {
+Everything looks like a nail to me! { pass "$test" }
+}
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing
+
+./configure
+
+$MAKE check
+test -f hammer.log
+test -f hammer.sum
+
+$MAKE distcheck




reply via email to

[Prev in Thread] Current Thread [Next in Thread]